package com.tomas.ht_ydt;

import static com.tomas.ht_ydt.lib.KeyMapping.P1;

import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ImageButton;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import com.tomas.ht_ydt.lib.KeyMapping;
import com.tomas.ht_ydt.lib.Settings;


public class StockMenu_Activity extends AppCompatActivity implements View.OnClickListener {
    TextView txt_user, txt_device;
    ImageButton imb_back;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_stock_menu);
        txt_user = (TextView) findViewById(R.id.txt_user);
        txt_user.setText("User : "+ Settings.getLoginUser().getName());

        txt_device = (TextView) findViewById(R.id.txt_device);
        txt_device.setText("Device : "+Settings.getDeviceNo());
        imb_back = (ImageButton)findViewById(R.id.imb_back);
    }

    @Override
    public void onClick(View view) {
        Intent intent;
        switch (view.getId()) {
            case R.id.imb_back:
                finish();
                break;
            case R.id.btn_stock_check:
                intent = new Intent(StockMenu_Activity.this, StockCheck_Activity.class);
                startActivity(intent);
                break;

            case R.id.btn_stocktaking:
                intent = new Intent(StockMenu_Activity.this, Stocktaking_Activity.class);
                startActivity(intent);
                break;

            case R.id.btn_change_location:
                intent = new Intent(StockMenu_Activity.this, ChangeLocation_Activity.class);
                startActivity(intent);
                break;
        }
    }

    @Override
    public boolean onKeyUp(int keyCode, KeyEvent event) {
        if (keyCode >= KeyMapping.P1.getId()
                && keyCode <= KeyMapping.P4.getId()) {
            switch (KeyMapping.fromId(keyCode)) {
                case P1:
                    imb_back.performClick();
                    break;
            }
        }

        return super.onKeyUp(keyCode, event);
    }
}